#include "TDengine.h"
#include <QDebug>
TDengine::TDengine() {
    //TDengineClient* tdclient = new TDengineClient();
    //tdclient->start();
}
TDengine::~TDengine(){
    qDebug() << __FILE__ << __FUNCTION__<< __LINE__;
}
void TDengine::Run(const ConsumerInfo& ci)
{
    //start();
}

void TDengine::OnData(const QString& user, const QString& key, const QVariant& val)
{
    qDebug() << __FILE__ << __FUNCTION__<< __LINE__ << user << key << val;
}

void TDengine::setLoader(QLibrary *)
{

}

void TDengine::run()
{
    /*while(!isInterruptionRequested()){
        qDebug() << __FILE__ << __FUNCTION__;
        QThread::msleep(1000);
    }*/
}
Client* instance()
{
    return new TDengine();
}

void destroy(Client* pInstance)
{
    if( pInstance )
    {
        delete pInstance;
    }
}
